---
- name: Set the retry count
  ansible.builtin.set_fact:
    retry_count: "{{ 0 if retry_count is undefined else retry_count|int + 1 }}"

- name: "Launch {{ onap_testing_docker_name }} docker"
  community.docker.docker_container:
    container_default_behavior: no_defaults
    name: "{{ onap_testing_docker_name }}"
    image:
      "{{ onap_testing_docker_image }}:{{ onap_testing_docker_version }}"
    env_file: "{{ exec_local_path }}/env"
    state: started
    command: "/bin/bash -c '{{ command }}'"
    recreate: true
    volumes: "{{ volumes }}"
    etc_hosts: "{{ onap_testing_etc_hosts }}"
    detach: true
    pull: true
    keep_volumes: false

- name: Calculate nb status retries before reaching timeout
  ansible.builtin.set_fact:
    nb_retry_timeout:
      "{{ onap_testing_run_timeout | int * 60 // 30 + 1 }}"

- name: Wait for test docker to be finished
  community.docker.docker_container_info:
    name: "{{ onap_testing_docker_name }}"
  register: container_info
  until: container_info.container.State.Status == "exited"
  retries: "{{ nb_retry_timeout }}"
  delay: 30

- name: "The docker {{ onap_testing_docker_name }} has failed"
  ansible.builtin.fail:
    msg: "The test {{ onap_testing_docker_name }} has failed"
  when: container_info.container.State.ExitCode != 0
